<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://foxpost.hu
 * @since      1.0.0
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/admin/partials
 */



if (!defined('ABSPATH')) {
    exit();
}                                                    
                                              
?>                                                                                  
<div id="div-iframe"><iframe id="export_download_frame" width="0" height="0" style="display: none;"></iframe></div>

<div class="address">   
      <p><strong><?php echo Foxpost_Wc_Shipping::__('Shipping mode:') ?></strong> <?php echo $method_str;?></p>                            
      <!--p><strong>Átvételi pont:</strong> <a href="#">475809</a></p-->      
      <p><strong><?php echo Foxpost_Wc_Shipping::__('Parcel number:') ?></strong> </span><a href="<?php echo $tracelink;?>" target="_blank"><span class="foxpost_wc_shipping_barcode"><?php echo $barcode;?></span></a> - <span class="foxpost_wc_shipping_status">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span></p>
      <button type="button" class="button foxpost_wc_shipping_label_or_print">
      <?php if('' == $barcode): ?>
      <?php echo Foxpost_Wc_Shipping::__('Request label') ?>
      <?php else: ?>
      <?php echo Foxpost_Wc_Shipping::__('Print label') ?>
      <?php endif; ?> 
      </button>
</div>

<script type="text/javascript">
jQuery(function($) { 


    jQuery( 'button.foxpost_wc_shipping_label_or_print' ).on( 'click', function() {
        var r = jQuery.post( '/wp-admin/admin-ajax.php', { action: 'foxpost_wc_shipping_get_parcel_label', post_id: '<?php echo intval($order_id);?>' } );
        r.done(function( data ) {//console.log( data.data );
            if (data.success==true && data.data.barcode)        { 
                $( ".foxpost_wc_shipping_barcode" ).text( data.data.barcode );
                $( ".foxpost_wc_shipping_label_or_print" ).html('<?php echo Foxpost_Wc_Shipping::__('Print label') ?>');
            }
            if (data.success==true && data.data.pdf_location)   {
            
              var filename = data.data.pdf_location.substring(data.data.pdf_location.lastIndexOf('/')+1);
              var a = document.createElement('a');
              a.href= data.data.pdf_location;
              a.target = '_blank';
              a.download = filename;
              a.click();           
            
            }
        });
        
    });
    
    
    setTimeout(() => {
        var barcode = $( ".foxpost_wc_shipping_barcode" ).text();
        if (barcode!=''){
            $(".foxpost_wc_shipping_status").css("background", "url(images/spinner.gif) no-repeat center");
            var r = jQuery.post( '/wp-admin/admin-ajax.php', { action: 'foxpost_wc_shipping_get_parcel_status', barcode: barcode } );
            r.done(function( data ) {
                if (data.success==true) { $( ".foxpost_wc_shipping_status" ).text( data.data.status ); }
                $(".foxpost_wc_shipping_status").css("background", "");
            });
        }                             
    }, 3000);


});
</script>